Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Retrieve a single sequence enrollment by its ID.
cURL
curl --request GET \ --url https://api.unifygtm.com/sequences/v1/enrollments/{id} \ --header 'x-api-key: <api-key>'
import requests url = "https://api.unifygtm.com/sequences/v1/enrollments/{id}" headers = {"x-api-key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}}; fetch('https://api.unifygtm.com/sequences/v1/enrollments/{id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.unifygtm.com/sequences/v1/enrollments/{id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "x-api-key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.unifygtm.com/sequences/v1/enrollments/{id}" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("x-api-key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.unifygtm.com/sequences/v1/enrollments/{id}") .header("x-api-key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.unifygtm.com/sequences/v1/enrollments/{id}") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["x-api-key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "sequence": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "is_paused": true }, "person": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "first_name": "<string>", "last_name": "<string>", "linkedin_url": "<string>" }, "mailbox": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "email": "jsmith@example.com", "display_name": "<string>", "is_paused": true, "is_unauthorized": true }, "enrolled_by_play": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>" }, "reply_email_message": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "subject": "<string>", "classifications": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "category": "AUTOMATED" } ], "received_at": "2023-11-07T05:31:56Z" }, "status": "DRAFT", "is_draft_approval_pending": true, "is_blocked": true, "is_bounced": true, "is_canceled": true, "is_excluded": true, "is_opted_out": true, "is_paused": true, "is_replied": true, "started_at": "2023-11-07T05:31:56Z", "ended_at": "2023-11-07T05:31:56Z" }
{ "status": "bad_request", "errors": [ { "code": "<string>", "path": [ "<string>" ], "object_api_name": "<string>", "attribute_api_name": "<string>" } ], "message": "<string>" }
{ "status": "unauthorized", "message": "<string>" }
{ "status": "not_found", "message": "<string>" }
{ "status": "rate_limited", "message": "<string>" }
{ "status": "error", "message": "<string>" }
String UUID value.
Response returned when fetching an enrollment.
String value representing an RFC 3339 datetime.
Sequence details embedded in enrollment responses.
Show child attributes
Person details embedded in enrollment responses.
Mailbox details embedded in enrollment responses.
The play that created the enrollment, if applicable.
Reply email message details embedded in enrollment responses.
Status of a sequence enrollment.
DRAFT is deprecated and never returned. Drafts waiting for approval are IN_PROGRESS with is_draft_approval_pending set.
DRAFT
IN_PROGRESS
is_draft_approval_pending
FINISHED
True while an AI-drafted enrollment is waiting for approval. The enrollment does not start until it is approved.